﻿<?xml version="1.0" encoding="utf-8"?>
<!--
  For more information on how to configure your ASP.NET application, please visit
  http://go.microsoft.com/fwlink/?LinkId=301879
  -->
<configuration>
  <appSettings></appSettings>
  <system.web>
    <compilation debug="true" targetFramework="4.5.2" />
    <httpRuntime targetFramework="4.5.2" />
    <httpModules>
      <add name="ApplicationInsightsWebTracking" type="Microsoft.ApplicationInsights.Web.ApplicationInsightsHttpModule, Microsoft.AI.Web" />
    </httpModules>
  </system.web>
  <connectionStrings>
    

    <!-- PLEASE DON'T DELETE1111111111 -->
    <add name="vueconnectionstring" connectionString="Data Source=tcp:ilmuat.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1433;Database=ILM_Devs;User Id=ILMUATSA;Password=ILMV3ry53cur3dMGTpa55w0rd2020;" providerName="System.Data.SqlClient" />
    <add name="ScheduleConnectionString" connectionString="Data Source=livedb-ilm.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1412;Initial Catalog=ILM_Acuiros;User ID=ILM_LiveDBUser;Password=ILMV3ry53cur3dMGTpa55w0rd2020;Persist Security Info = True" providerName="System.Data.SqlClient" />
    <!--<add name="LoanMakerConnectionString" connectionString="Data Source=192.168.2.4,1444;Initial Catalog=ILM_AcuiroLocal;User ID=DevUser;Password=securedmgt@1230;Persist Security Info = True" providerName="System.Data.SqlClient" />-->
    <add name="LoanMakerConnectionString" connectionString="Data Source=livedb-ilm.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1412;Database=Amplify;User Id=Amplify;Password=ILMV3ry53cur3dMGTpa55w0rd2020;" providerName="System.Data.SqlClient" />
    <add name="SchedulerPortalConnectionString" connectionString="Data Source=livedb-ilm.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1412;Database=ILM_Acuiros;User Id=ILM_LiveDBUser;Password=ILMV3ry53cur3dMGTpa55w0rd2020;" providerName="System.Data.SqlClient" />
    <add name="ADBCalculatorConnectionString" connectionString="Data Source=livedb-ilm.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1412;Database=ADBCalculator;User Id=ILM_LiveDBUser;Password=ILMV3ry53cur3dMGTpa55w0rd2020;" providerName="System.Data.SqlClient" />
    <!--<add name="vueconnectionstring" connectionString="Data Source=tcp:illimitadodb.database.windows.net,1433;Database=Illimitado;User Id=illimitadoAdmin@illimitadodb;Password=December@1230;" providerName="System.Data.SqlClient" />-->
    <!--<add name="MISConnectionString" connectionString="Data Source=tcp:illimitadodb.database.windows.net,1433;Database=sample_db_1215;User Id=illimitadoAdmin@illimitadodb;Password=December@1230;" providerName="System.Data.SqlClient" />-->
    <!-- PLEASE DON'T DELETE -->
    <!--<add name="connectionstring" connectionString="Data Source=DAV8DBHSND01;Initial Catalog=MIS_MLA_UAT;Trusted_Connection=True;" providerName="System.Data.SqlClient" />-->
    <!--<add name="connectionstring" connectionString="Data Source=tcp:uat-db.database.windows.net,1433;Database=sample_db_0723;User Id=uat-db-user@uat-db;Password=SecuredMgt@1230;" providerName="System.Data.SqlClient" /> -->
    <!--<add name="connectionstring" connectionString="Data Source=tcp:ilmuat.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1433;Database=ILM_Devs;User Id=LMUATSA;Password=ILMV3ry53cur3dMGTpa55w0rd2020;" providerName="System.Data.SqlClient" />-->

    <add name="connectionstring" connectionString="Data Source=livedb-ilm.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1412;Database=printway;User Id=ILM_LiveDBUser;Password=ILMV3ry53cur3dMGTpa55w0rd2020;;Persist Security Info = True" providerName="System.Data.SqlClient" />
    
    <!--<add name="connectionstring" connectionString="Data Source=192.168.2.4,1444;Initial Catalog=ILM_Local;User ID=DevUser;Password=securedmgt@1230;Persist Security Info = True" providerName="System.Data.SqlClient" />-->
    <!--<add name="connectionstring" connectionString="Data Source=tcp:ilm-dev-uat.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1400;Database=ILM_DevSvr;User Id=devuatuser;Password=ILMV3ry53cur3dMGTpa55w0rd2020;" providerName="System.Data.SqlClient" />-->
    <!--<add name="connectionstring" connectionString="Data Source=livedb-ilm.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1412;Database=ILM_Live;User Id=ILM_LiveDBUser;Password=ILMV3ry53cur3dMGTpa55w0rd2020;" providerName="System.Data.SqlClient" />-->
    <!--<add name="connectionstring" connectionString="Data Source=livedb-ilm.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1412;Database=ILM_DevSvr;User Id=ILM_LiveDBUser;Password=ILMV3ry53cur3dMGTpa55w0rd2020;" providerName="System.Data.SqlClient" />-->

    <add name="ILM_DevSvrconnectionstring" connectionString="Data Source=tcp:ilm-dev-uat.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1400;Database=ILM_DevSvr;User Id=devuatuser;Password=ILMV3ry53cur3dMGTpa55w0rd2020;" providerName="System.Data.SqlClient" />
    <add name="StarDBconnectionstring" connectionString="Data Source=tcp:ilm-dev-uat.c3srcolvclfy.ap-southeast-1.rds.amazonaws.com,1400;Database=StarDB;User Id=devuatuser;Password=ILMV3ry53cur3dMGTpa55w0rd2020;" providerName="System.Data.SqlClient" />

    <add name="homebuilderconnectionstring" connectionString="Data Source=192.168.1.150,1433\SQLEXPRESS;Initial Catalog=HomeBuilder_WS;User ID=sa;Password=securedmgt@1230;Persist Security Info = True" providerName="System.Data.SqlClient" />

    <!--<add name="vueconnectionstring" connectionString="Data Source=192.168.1.150,1433\SQLEXPRESS;Initial Catalog=sample_db;User ID=sa;Password=securedmgt@1230;Persist Security Info = True" providerName="System.Data.SqlClient"/>-->
<add name="CRT_SecurityBankDBconnectionstring" connectionString="Data Source=192.168.2.33,1444;Database=CRT_SecurityBankDB;User Id=DevUser;Password=securedmgt@1230;;Persist Security Info = True" providerName="System.Data.SqlClient" />
    <!--<add name="connectionstring" connectionString="Data Source=tcp:illimitadodb.database.windows.net,1433;Database=sample_db_1215;User Id=illimitadoAdmin@illimitadodb;Password=December@1230;" providerName="System.Data.SqlClient" />-->
   
  </connectionStrings>
  
  <system.webServer>
    <handlers>
      <remove name="ExtensionlessUrlHandler-Integrated-4.0" />
      <!--<remove name="OPTIONSVerbHandler" />-->
      <remove name="TRACEVerbHandler" />
      <add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="*" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0" />
    </handlers>
    <httpProtocol>
      <customHeaders>
        <add name="Access-Control-Allow-Credentials" value="true" /> 
        <add name="Access-Control-Allow-Origin" value="*" /> 
        <add name="Access-Control-Allow-Methods" value="GET, PUT, POST, DELETE, OPTIONS" /> 
        <add name="Access-Control-Allow-Headers" value="Content-Type" />
      </customHeaders>
    </httpProtocol>
    <validation validateIntegratedModeConfiguration="false" />
    <modules>
      <remove name="ApplicationInsightsWebTracking" />
      <add name="ApplicationInsightsWebTracking" type="Microsoft.ApplicationInsights.Web.ApplicationInsightsHttpModule, Microsoft.AI.Web" preCondition="managedHandler" />
    </modules>
  </system.webServer>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http.Formatting" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.3.0" newVersion="5.2.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-10.0.0.0" newVersion="10.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Http" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.3.0" newVersion="5.2.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-5.2.3.0" newVersion="5.2.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Cors" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.3.0" newVersion="5.2.3.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.codedom>
    <compilers>
      <compiler language="c#;cs;csharp" extension=".cs" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.CSharpCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:6 /nowarn:1659;1699;1701" />
      <compiler language="vb;vbs;visualbasic;vbscript" extension=".vb" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.VBCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:14 /nowarn:41008 /define:_MYTYPE=\&quot;Web\&quot; /optionInfer+" />
    </compilers>
  </system.codedom>
</configuration>
